## bookworm 0.6

=== CMakeLists.txt ===
# the name of the project
project (bookworm)

# the oldest stable cmake version we support
cmake_minimum_required (VERSION 2.6)

# tell cmake where its modules can be found in our project directory
list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
set (GETTEXT_PACKAGE ${CMAKE_PROJECT_NAME})

# where we install data directory (if we have any)
set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")

# what to call that directory where we install data too
set (PKGDATADIR "${DATADIR}/bookworm")

set (EXEC_NAME "bookworm")
set (RELEASE_NAME "bookworm v0.9.1")
set (VERSION "0.9.1")
set (VERSION_INFO "Bookworm - An eBook Reader")

add_subdirectory (po)

# Some definitions
add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")

# define variable for sources
set (SOURCE_LIST
    src/main.vala
    src/bookworm.vala
    src/utils.vala
    src/constants.vala
    src/ePubReader.vala
    src/book.vala
    src/database.vala
    src/settings.vala
    src/bookinfo.vala
    src/headerbar.vala
    src/dialog.vala
    src/window.vala
    src/prefpopover.vala
    src/library.vala
    src/pdfReader.vala
    src/contentHandler.vala
    src/comicsReader.vala
    src/backgroundTasks.vala
    src/mobiReader.vala
)

include (GSettings)
add_schema ("schemas/com.github.babluboy.bookworm.gschema.xml")

# we're about to use pkgconfig to make sure dependencies are installed so let's find pkgconfig first
find_package(PkgConfig)

# now let's actually check for the required dependencies
pkg_check_modules(DEPS REQUIRED
                  gtk+-3.0
                  gee-0.8
                  granite
                  webkit2gtk-4.0>=2.16.0
                  sqlite3>=3.5.9
                  poppler-glib
                 )

add_definitions(${DEPS_CFLAGS})
link_libraries(${DEPS_LIBRARIES} -lm)
link_directories(${DEPS_LIBRARY_DIRS})

# make sure we have vala
find_package(Vala REQUIRED)
# make sure we use vala
include(ValaVersion)
# make sure it's the desired version of vala
ensure_vala_version("0.26" MINIMUM)

# files we want to compile
include(ValaPrecompile)

set (BASIC_VALAC_OPTIONS
   -g
   --thread
   --target-glib=2.38
)

set (GLOBAL_VALAC_OPTIONS
  ${BASIC_VALAC_OPTIONS}
)

vala_precompile(VALA_C ${EXEC_NAME}
    src/main.vala
    src/bookworm.vala
    src/utils.vala
    src/constants.vala
    src/ePubReader.vala
    src/book.vala
    src/database.vala
    src/settings.vala
    src/bookinfo.vala
    src/headerbar.vala
    src/dialog.vala
    src/window.vala
    src/prefpopover.vala
    src/library.vala
    src/pdfReader.vala
    src/contentHandler.vala
    src/comicsReader.vala
    src/backgroundTasks.vala
    src/mobiReader.vala

# tell what libraries to use when compiling
PACKAGES
    gtk+-3.0
    gee-0.8
    granite
    webkit2gtk-4.0>=2.16.0
    sqlite3
    poppler-glib
)

# tell cmake what to call the executable we just made
add_executable(${EXEC_NAME} ${VALA_C})

# set linking libraries
install (TARGETS ${EXEC_NAME} RUNTIME DESTINATION bin)

# install bookworm app icons in generic folder - /usr/share/icons/hicolor
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm.png DESTINATION share/icons/hicolor/16x16/apps)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/24/bookworm.png DESTINATION share/icons/hicolor/24x24/apps)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/32/bookworm.png DESTINATION share/icons/hicolor/32x32/apps)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/48/bookworm.png DESTINATION share/icons/hicolor/48x48/apps)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/64/bookworm.png DESTINATION share/icons/hicolor/64x64/apps)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/128/bookworm.png DESTINATION share/icons/hicolor/128x128/apps)
#install bookworm application specific icons in application specific folder - /usr/share/bookworm
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-go-next.svg DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-go-previous.svg DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-object-select-symbolic.svg DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-list-add.svg DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-list-remove.svg DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-view-grid-symbolic.svg DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-view-list-symbolic.svg DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-line-height-more.png DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-line-height-less.png DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-width-more.png DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-width-less.png DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm_rating_1.png DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm_rating_2.png DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm_rating_3.png DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm_rating_4.png DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm_rating_5.png DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-help-about-symbolic.svg DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-help-about.svg DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-selection-option.svg DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-selection-checked.svg DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-dir-remove.svg DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-insert-image.svg DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-help-info-symbolic.svg DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-format-text-larger-symbolic.svg DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16/bookworm-format-text-smaller-symbolic.svg DESTINATION share/bookworm/icons/hicolor/16x16/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/24/bookworm-bookmark-inactive.png DESTINATION share/bookworm/icons/hicolor/24x24/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/24/bookworm-bookmark-active.png DESTINATION share/bookworm/icons/hicolor/24x24/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/24/bookworm-selection-checked.svg DESTINATION share/bookworm/icons/hicolor/24x24/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/24/bookworm-selection-option.svg DESTINATION share/bookworm/icons/hicolor/24x24/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/24/bookworm-open-menu.svg DESTINATION share/bookworm/icons/hicolor/24x24/actions/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/256/bookworm-placeholder-cover.png DESTINATION share/bookworm/icons/hicolor/256x256/apps/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/256/bookworm-default-cover-1.png DESTINATION share/bookworm/icons/hicolor/256x256/apps/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/256/bookworm-default-cover-2.png DESTINATION share/bookworm/icons/hicolor/256x256/apps/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/256/bookworm-default-cover-3.png DESTINATION share/bookworm/icons/hicolor/256x256/apps/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/256/bookworm-default-cover-4.png DESTINATION share/bookworm/icons/hicolor/256x256/apps/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/icons/256/bookworm-default-cover-5.png DESTINATION share/bookworm/icons/hicolor/256x256/apps/)

# install app specific desktop, appdata and css files
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/com.github.babluboy.bookworm.desktop DESTINATION ${DATADIR}/applications)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/com.github.babluboy.bookworm.appdata.xml DESTINATION ${DATADIR}/metainfo/)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/com.github.babluboy.bookworm.app.css DESTINATION ${DATADIR}/bookworm)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/bookworm.contract DESTINATION share/contractor)

# install scripts
install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/scripts/book_monitor.sh
    PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ WORLD_READ WORLD_EXECUTE
    DESTINATION /opt/bookworm
)
install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/scripts/mobi_lib/mobi_dict.py PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ WORLD_READ WORLD_EXECUTE DESTINATION /opt/bookworm/mobi_lib
)
install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/scripts/mobi_lib/mobi_html.py PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ WORLD_READ WORLD_EXECUTE DESTINATION /opt/bookworm/mobi_lib
)
install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/scripts/mobi_lib/mobi_index.py PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ WORLD_READ WORLD_EXECUTE DESTINATION /opt/bookworm/mobi_lib
)
install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/scripts/mobi_lib/mobi_k8proc.py PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ WORLD_READ WORLD_EXECUTE DESTINATION /opt/bookworm/mobi_lib
)
install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/scripts/mobi_lib/mobi_ncx.py PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ WORLD_READ WORLD_EXECUTE DESTINATION /opt/bookworm/mobi_lib
)
install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/scripts/mobi_lib/mobi_opf.py PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ WORLD_READ WORLD_EXECUTE DESTINATION /opt/bookworm/mobi_lib
)
install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/scripts/mobi_lib/mobi_split.py PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ WORLD_READ WORLD_EXECUTE DESTINATION /opt/bookworm/mobi_lib
)
install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/scripts/mobi_lib/mobi_uncompress.py PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ WORLD_READ WORLD_EXECUTE DESTINATION /opt/bookworm/mobi_lib
)
install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/scripts/mobi_lib/mobi_unpack.py PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ WORLD_READ WORLD_EXECUTE DESTINATION /opt/bookworm/mobi_lib
)
install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/scripts/mobi_lib/mobi_utils.py PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ WORLD_READ WORLD_EXECUTE DESTINATION /opt/bookworm/mobi_lib
)

=== po/CMakeLists.txt ===
include (Translations)
add_translations_directory (${GETTEXT_PACKAGE})
add_translations_catalog (${GETTEXT_PACKAGE}
    ../src)

=== debian/changelog ===
bookworm (0.6-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17.
  * Drop redundant libwebkit2gtk-4.0-37 build-depend.
  * Convert to 3.0 (quilt) source format.
  * debian/control: minimum B-D version of libwebkit2gtk-4.0-37-dev is 2.16.0.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Sep 2017 17:18:16 -0700

bookworm (0.6-0~42~ubuntu17.04.1) zesty; urgency=low

  * Auto build.

 -- Siddhartha Das <email.siddharthadas@gmail.com>  Thu, 03 Aug 2017 07:15:03 +0000

bookworm (0.6) xenial; urgency=low

  * Initial Release (26-Apr-2017)

 -- Siddhartha Das <bablu.boy@gmail.com>  Mon, 15 May 2017 20:00:00 -0000

=== debian/control ===
Source: bookworm
Section: text
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Siddhartha Das <bablu.boy@gmail.com>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               libgee-0.8-dev,
               libgtk-3-dev (>= 3.14),
               valac (>= 0.26),
               libgranite-dev (>= 0.3.0),
               libwebkit2gtk-4.0-dev (>= 2.16.0),
               libsqlite3-dev,
               libpoppler-glib-dev
Standards-Version: 3.9.6

Package: bookworm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 unzip, poppler-utils, unrar
Description: ebook reader which supports multiple formats
 A simple user-centric eBook reader which displays multiple eBook
 formats uniformly.

## bookworm 1.1.2%2Bgit20210311

=== debian/changelog ===
bookworm (1.1.2+git20210311-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 11 May 2021 16:10:48 -0400

com.github.babluboy.bookworm (1.1.2) bionic; urgency=medium

  * Initial Release.

 -- Siddhartha Das <bablu.boy@gmail.com>  Sun, 21 Oct 2018 04:53:39 -0500

=== debian/control ===
Source: bookworm
Section: text
Priority: extra
Maintainer: Siddhartha Das <bablu.boy@gmail.com>
Build-Depends: debhelper,
               gettext,
               libgtk-3-dev (>= 3.10),
               meson,
               valac (>= 0.28.0),
               libgee-0.8-dev,
               libgranite-dev (>= 0.5),
               libsqlite3-dev,
               libxml2,
               libxml2-dev,
               libwebkit2gtk-4.0-dev,
               libpoppler-glib-dev,
               ninja-build
Standards-Version: 4.1.1

Package: bookworm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, unzip, poppler-utils, unar, html2text, python2, curl, appstream
Description: eBook Reader
 A simple and focussed eBook reader

## bookworm 1.1.2%2Bgit20210715

=== debian/changelog ===
bookworm (1.1.2+git20210715-5) unstable; urgency=medium

  * QA upload.
  * Remove manual build dependency on libxml2.

 -- Adrian Bunk <bunk@debian.org>  Wed, 20 Aug 2025 10:49:27 +0300

bookworm (1.1.2+git20210715-4) unstable; urgency=medium

  * QA upload
  * Add patch to switch from webkit2gtk 4.0 to 4.1
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Jan 2024 18:21:10 -0500

bookworm (1.1.2+git20210715-3) unstable; urgency=medium

  * QA upload.

  [ Boyuan Yang ]
  * debian/control: Bump Standards-Version to 4.6.2.
  * Orphan package.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libgranite-dev, libgtk-3-dev
      and valac.

 -- Boyuan Yang <byang@debian.org>  Sun, 20 Aug 2023 21:22:40 -0400

bookworm (1.1.2+git20210715-2) unstable; urgency=medium

  * debian/rules: Store pre-generated man page for now instead of
    running help2man in runtime. This workarounds embedded debugging
    information in help2man output. (Closes: #970277)
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * debian/salsa-ci.yml: Add Salsa CI support.

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Aug 2021 20:03:55 -0400

bookworm (1.1.2+git20210715-1) unstable; urgency=high

  * New upstream git snapshot.
    + Add workaround to fix python3 script compilation failure.
      (Closes: #970191)
  * debian/patches: Add hotfix on python2 print syntax.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Jul 2021 16:59:03 -0400

bookworm (1.1.2+git20200823-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Sep 2020 09:39:57 -0400

bookworm (1.1.2+git20200529-1) unstable; urgency=medium

  * Initial Release. (Closes: #883867)

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Jun 2020 14:33:37 -0400

=== debian/control ===
Source: bookworm
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3:any,
 gettext,
 libgee-0.8-dev,
 libgranite-dev,
 libgtk-3-dev,
 libpoppler-glib-dev,
 libsqlite3-dev,
 libwebkit2gtk-4.1-dev,
 libxml2-dev,
 meson,
 valac,
 help2man,
Standards-Version: 4.6.2
Homepage: https://babluboy.github.io/bookworm/
Vcs-Git: https://salsa.debian.org/debian/bookworm.git
Vcs-Browser: https://salsa.debian.org/debian/bookworm

Package: bookworm
Architecture: any
Depends:
 html2text,
 poppler-utils,
 unar,
 unzip,
 ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
Conflicts: com.github.babluboy.bookworm
Provides: com.github.babluboy.bookworm
Replaces: com.github.babluboy.bookworm
Description: Simple, focused eBook Reader
 The bookworm tool helps you to read eBooks of different
 formats, including epub, pdf, mobi, cbr, etc. It provides
 an easy, simple layout to read books irrespective of the
 ebook format.

## bookworm 1.1.2+git20200823

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: bookworm
 Section: text
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3:any,
  gettext,
  libgee-0.8-dev,
- libgranite-dev,
- libgtk-3-dev,
+ libgranite-dev (>= 0.5),
+ libgtk-3-dev (>= 3.10),
  libpoppler-glib-dev,
  libsqlite3-dev,
- libwebkit2gtk-4.1-dev,
+ libwebkit2gtk-4.0-dev,
+ libxml2,
  libxml2-dev,
  meson,
- valac,
+ valac (>= 0.28.0),
  help2man,
-Standards-Version: 4.6.2
+Standards-Version: 4.5.0
 Homepage: https://babluboy.github.io/bookworm/
 Vcs-Git: https://salsa.debian.org/debian/bookworm.git
 Vcs-Browser: https://salsa.debian.org/debian/bookworm

## bookworm 1.1.2+git20210715

=== debian/changelog ===
bookworm (1.1.2+git20210715-2build1) jammy; urgency=medium

  * No-change rebuild against latest granite

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 24 Oct 2021 08:26:18 -0400

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  meson,
  valac (>= 0.28.0),
  help2man,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://babluboy.github.io/bookworm/
 Vcs-Git: https://salsa.debian.org/debian/bookworm.git
 Vcs-Browser: https://salsa.debian.org/debian/bookworm

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@

execute_after_dh_auto_clean:
	rm -rf debian/build obj-*

override_dh_python3:
	dh_python3 -p $(DEB_SOURCE) usr/share/com.github.babluboy.bookworm/scripts/ --shebang=/usr/bin/python3
	find $(CURDIR)/debian/ -name '*.pyc' -delete

override_dh_installman:
	#help2man --name="$(DEB_SOURCE)" -s1 -N --version-string="$(DEB_VERSION)" -o debian/com.github.babluboy.bookworm.1 $(CURDIR)/debian/bookworm/usr/bin/com.github.babluboy.bookworm
	#sed -i '/.*DEBUG.*/d' $(CURDIR)/debian/com.github.babluboy.bookworm.1
	dh_installman $(CURDIR)/debian/com.github.babluboy.bookworm.1
